# Interface QueryTimeoutHandler

All Superinterfaces:
  `AutoCloseable`

All Known Implementing Classes:
  `NoOpQueryTimeoutHandler, QueryTimeoutHandlerImpl`

public interface QueryTimeoutHandler extends AutoCloseable
Query Timeout handler for server that doesn't support query specific timeout

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`QueryTimeoutHandler`
`create(int queryTimeout)`

## Method Details

### create

QueryTimeoutHandler create(int queryTimeout)

### close

void close()

Specified by:
  `close` in interface `AutoCloseable`